/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.tizenopensource.org/license
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */






#ifndef __DEF_PS_MAKEUPVIEWS_H__
#define __DEF_PS_MAKEUPVIEWS_H__

void search_result_gl_init(void *data);
void search_result_gl_deinit(void *data);
void search_gl_phone_result_sel(void *data, Evas_Object * obj, void *event_info);
void search_gl_result_more_item_append_cb(void *data, Evas_Object * obj, void *event_info);
int search_app_connect(void *data);
int search_app_disconnect(void *data);
void search_set_result_list(void *data);
void search_stop_search(void *data);
void search_layout_set_search_list(void* data);
void search_layout_set_search_no_result(void* data);
int search_layout_get_content_list_set_status(void* data);
Ecore_Thread* search_make_result_thread(void *data);
struct search_genlist_item_info* search_add_genlist_item(int type,
		struct search_content_object *obj, Elm_Genlist_Item_Class *itc_style, void *data,
		Elm_Object_Item *parent);
#endif				// __DEF_PS_MAKEUPVIEWS_H__
